Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.examination.domain
Class PeriodPenalty

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.examination.domain.PeriodPenalty

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class PeriodPenalty

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`PeriodPenalty()`

Method Summary
`Topic` | `getLeftSideTopic()`
`PeriodPenaltyType` | `getPeriodPenaltyType()`
`Topic` | `getRightSideTopic()`
`void` | `setLeftSideTopic(Topic leftSideTopic)`
`void` | `setPeriodPenaltyType(PeriodPenaltyType periodPenaltyType)`
`void` | `setRightSideTopic(Topic rightSideTopic)`
`String` | `toString()`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PeriodPenalty

    public PeriodPenalty()

Method Detail

### getPeriodPenaltyType

    public PeriodPenaltyType getPeriodPenaltyType()

### setPeriodPenaltyType

    public void setPeriodPenaltyType(PeriodPenaltyType periodPenaltyType)

### getLeftSideTopic

    public Topic getLeftSideTopic()

### setLeftSideTopic

    public void setLeftSideTopic(Topic leftSideTopic)

### getRightSideTopic

    public Topic getRightSideTopic()

### setRightSideTopic

    public void setRightSideTopic(Topic rightSideTopic)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.